:: Network Reset Script for Windows 10/11 , 8, 7, XP, Server 2019, 2016, 2012, 2008
:: This script will do these process
:: 1. ipconfig /release : Release IPV4 address for the active network adapter
:: 2. ipconfig /release6 : Release IPV6 address for the active network adapter
:: 3. ipconfig /renew : Renew IPV4 address for the active network adapter
:: 4. ipconfig /renew6 : Renew IPV6 address for the active network adapter
:: 3. arp -d * : Deletes to delete all hosts records in Address Translation tables
:: 4. nbtstat -R :Purges and reloads the remote cache name table
:: 5. nbtstat -RR : Release and Refresh WINS Sends Name Release packets to WINS and then, starts Refresh
:: 6. ipconfig /flushdns : Deletes the DNS resolver cache
:: 7. ipconfig /registerdns : Refreshes all DHCP leases and re-registers DNS names


@ECHO OFF

echo  ######## Releasing IP Addresses
ipconfig /release
ipconfig /release6

echo  Renewing IP Addresses 
ipconfig /renew
ipconfig /renew6

echo  Deleting Address Translation tables 
arp -d *

echo  NetBIOS / WINS - Deleting and Refreshing Cache 

nbtstat -R
nbtstat -RR

echo  Deleting DNS resolver cache 
ipconfig /flushdns

echo  Refresh DHCP leases and re-registering DNS names 
ipconfig /registerdns